#!/usr/bin/env bash

set -euo pipefail
IFS=$'\n\t'

sshMount () {
   args=($@)
   args=(${args[@]:2})
   for ((i=0; i < ${#args[@]}; i=i + 2)); do
      sshfs $1@$2:/citadel/${args[$i]}/ /home/fabian/${args[$i + 1]}/ -o reconnect,ServerAliveInterval=15,ServerAliveCountMax=8
   done
}

